﻿var dates = [];
var monthSpan = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];

$(document).on('mouseover', '.flik-timeline-dates li', function () {
    $(this).addClass("hover");
});

$(document).on('mouseout', '.flik-timeline-dates li', function () {
    $(this).removeClass("hover");
});
$(document).on('click', '.flik-timeline-dates li', function () {

    _date = $(this).data('date');

    $('.flik-timeline-dates li').removeClass('active');
    $(this).addClass('active');

    $('.flik-timeline-8 li').each(function () {


        if (_date == $(this).data('date')) {
            if ($(this).hasClass("right")) {
                $(".center").removeClass("center").addClass("left")
                $(this).addClass("center");
                $(this).removeClass("right")
            } else if ($(this).hasClass("left")) {
                $(".center").removeClass("center").addClass("right");
                $(this).addClass("center");
                $(this).removeClass("left");
            }
            $('.flik-timeline-8 li').removeClass('active').css('left','');
            $(this).addClass('active');
        }
    });


    _centerDiv();
});
$(function () {
    $('.flik-timeline-dates li').each(function () {

        _date = $(this).data('date');

        $(this).append('<div class="popupSpan">' + dateSpan(_date) + '</div>')

        //add dates to array
        dates.push(_date);
    });
    makeCircles();

    _centerDiv();
});

$(window).resize(function () {
    _centerDiv();
});

//Format MM/DD/YYYY into string
function dateSpan(date) {
    var month = date.split('/')[0];
    month = monthSpan[month - 1];
    var day = date.split('/')[1];
    if (day.charAt(0) == '0') {
        day = day.charAt(1);
    }
    var year = date.split('/')[2];

    //Spit it out!
    return month + " " + day + ", " + year;
}

//Main function. Draw your circles.
function makeCircles() {
    //Set day, month and year variables for the math
    var first = dates[0];
    var last = dates[dates.length - 1];

    var firstMonth = parseInt(first.split('/')[0]);
    var firstDay = parseInt(first.split('/')[1]);

    var lastMonth = parseInt(last.split('/')[0]);
    var lastDay = parseInt(last.split('/')[1]);

    //Integer representation of the last day. The first day is represnted as 0
    var lastInt = ((lastMonth - firstMonth) * 30) + (lastDay - firstDay);

    $('.flik-timeline-dates>ul>li:first').css('left', '0%');
    $('.flik-timeline-8>li:first').addClass('center');

    //Loop through middle dates
    for (i = 1; i < dates.length - 1; i++) {
        var thisMonth = parseInt(dates[i].split('/')[0]);
        var thisDay = parseInt(dates[i].split('/')[1]);

        //Integer representation of the date
        var thisInt = ((thisMonth - firstMonth) * 30) + (thisDay - firstDay);

        var relativeInt = thisInt / lastInt;
        $('.flik-timeline-dates li').eq(i).css('left', relativeInt * 100 + '%');
        $('.flik-timeline-8 li').eq(i).addClass('right');
    }

    $('.flik-timeline-dates>ul>li:last').css('left', '99%');
    $('.flik-timeline-8>li:last').addClass('right');
}

function _centerDiv() {

    _divWPercent = Math.round((100 * $('.flik-timeline-8 li.center').width()) / ($(window).width()));

    _left = (100 - _divWPercent) / 2;
    $('.flik-timeline-8 li.center').css('left', _left + '%');

}