﻿//change scroll effects
$(document).on('click', '.scroll-effects', function () {
    _anim = $(this).data('scroll-effect');
    $('.flik-timeline').attr('data-scroll-effect', _anim);
    $("html, body").animate({ scrollTop: 0 }, 200);

    setTimeout(function () {
        //hide timeline blocks which are outside the viewport
        $('.flik-timeline').children('li').each(function () {
            _element = $(this);
            if (_element.offset().top > $(window).scrollTop() + $(window).height() * 0.75) {
                _element.addClass('is-hidden');
                $('.controls .scroll-effects').each(function () {
                    _element.removeClass($(this).data('scroll-effect'));
                });
            }
        });


    }, 250);

    $('.controls .scroll-effects').each(function () {
        $(this).removeClass('active');
    });

    $(this).addClass('active');
    return false;
});




/* flikSlider */
jQuery.fn.flikSlider = function (options) {



    //default settings:
    var defaults = {
        delay: 700
    };

    var settings = $.extend({}, defaults, options);

    _flikSliderControls = '<div class="slider-controls"><div class="prev"><span><i class="fa fa-chevron-left"></i></span></div><div class="next"><span><i class="fa fa-chevron-right"></i></span></div><div>';

    return this.each(function () {
        _element = $(this);
        _selector = _element.prepend(_flikSliderControls);

        widthSlider = 500;

        countSlider = _selector.find(".flik-slider li").length;
        sumWidth = widthSlider * countSlider;

        _selector.find(".flik-slider").css("width", sumWidth + "px");
        var _count = 0;

        _selector.find(".next span").click(function () {
            if (_count < countSlider - 1) {
                _count++;
                _selector.find(".flik-slider").stop(true, true).animate({ marginLeft: '-' + _count * widthSlider }, settings.delay);

            } else {
                _count = 0;
                _selector.find(".flik-slider").stop(true, true).animate({ marginLeft: 0 }, settings.delay);
            }

            return false;
        });

        _selector.find(".prev span").click(function () {
            if (_count == 0) {
                _count = countSlider - 1;
                _selector.find(".flik-slider").stop(true, true).animate({ marginLeft: '-' + _count * widthSlider }, settings.delay);
            }
            else if (_count <= countSlider - 1) {
                _count--;
                _selector.find(".flik-slider").stop(true, true).animate({ marginLeft: '-' + _count * widthSlider }, settings.delay);
            } else {
                _count = 0;
                _selector.find(".flik-slider").stop(true, true).animate({ marginLeft: 0 }, settings.delay);
            }
            return false;
        });


    });

};

(function ($) {
    /* flikScrollEffect */
    jQuery.fn.flikScrollEffect = function () {

        //default settings:
        var defaults = {
            
        };

        var settings = $.extend({}, defaults);



        return this.each(function (i, el) {
            console.log(settings.effect);
            flikScrollEffect($(el));

        });

    };
}(jQuery));


function flikScrollEffect(_selector) {



    //hide timeline blocks which are outside the viewport
    _selector.children('li').each(function () {
        _element = $(this);
        if (_element.offset().top > $(window).scrollTop() + $(window).height() * 0.75) {
            _element.addClass('is-hidden');
            $('.controls .scroll-effects').each(function () {
                _element.removeClass($(this).data('scroll-effect'));
            });
        }
    });
   //  _anim = typeof _anim !== 'undefined' ? _anim : 'default-effect';
    _anim = _selector.data('scroll-effect');

    //on scolling, show/animate timeline blocks when enter the viewport
    $(window).on('scroll', function () {

        _selector.children('li').each(function () {
            // console.log($(this));

            if ($(this).offset().top <= ($(window).scrollTop() + $(window).height() * 0.75) && $(this).hasClass('is-hidden')) {
                $(this).removeClass('is-hidden').addClass(_anim);
            }
        });
    });
}